Measure format holds parameters about the automatic formatting of the measure itself, such as the witch and how the durations are proportioned. Note that measure formatting is also controlled by the justification between voices and staves. For instance, 2 measures in different staves will have to have the same width

### Hierarchy

- SmoMeasureModifierBase
  - SmoMeasureFormat

### Implements

- SmoMeasureFormatParams

## Index

### Constructors

- constructor

## Constructors

### constructor

- new SmoMeasureFormat(parameters: SmoMeasureFormatParams): SmoMeasureFormat

- Overrides SmoMeasureModifierBase.constructor

  - Defined in src/smo/data/measureModifiers.ts:147

  #### Parameters

  - ##### parameters: SmoMeasureFormatParams

  #### Returns SmoMeasureFormat

Generated using TypeDoc